<template>
  <LoadingLogo v-if="hadVideo" :thumb="true" />
  <OpenVideo v-else @close="hadVideo = true" />
  <Guide />

  <div class="ui-view-layout" :class="{ show: show }" is-mobile="true">
    <div class="scene" ref="scene$"></div>
    <template v-if="dataLoaded">
      <Information v-if="!isshoppingguide" />
      <Control />

      <teleport v-if="refMiniMap && player.showWidgets" :to="refMiniMap">
        <span :class="{ gudieDisabled: isshoppingguide && role != 'leader' }" class="button-switch" @click.stop="toggleMap">
          <ui-icon type="show_map_collect"></ui-icon>
        </span>
        <div v-if="controls.showDollhouse" :class="{ gudieDisabled: isshoppingguide && role != 'leader' }" class="change" @click="changeMode('dollhouse')">
          <ui-icon type="show_3d_normal"></ui-icon>
          <span> {{ $t('mode.dollhouseModel') }}</span>
        </div>
      </teleport>

      <template v-if="refMiniMap && player.showWidgets">
        <div :class="{ disabled: flying, gudieDisabled: isshoppingguide && role != 'leader' }" v-show="mode != 'panorama'" v-if="controls.showFloorplan && controls.showDollhouse" class="tab-layer">
          <div class="tabs" v-if="controls.showMap">
            <span :class="{ active: mode === 'floorplan' }" ref="floorplan_ref" @click="changeMode('floorplan', $event)">
              <ui-icon :type="mode == 'floorplan' ? 'show_plane_selected' : 'show_plane_normal'"></ui-icon>
              {{ $t('mode.floorplan') }}
            </span>
            <span :class="{ active: mode === 'dollhouse' }" ref="dollhouse_ref" @click="changeMode('dollhouse', $event)">
              <ui-icon :type="mode == 'dollhouse' ? 'show_3d_selected' : 'show_3d_normal'"></ui-icon>

              {{ $t('mode.dollhouse') }}
            </span>
            <div class="background" ref="background"></div>
          </div>
        </div>
      </template>
    </template>
    <!-- <UiTags /> -->
  </div>

  <GoodsList @close="closetagtype" />
  <Treasure @close="closetagtype" />
  <Waterfall @close="closetagtype" />
</template>

<script setup>
import { useMusicPlayer } from '@/utils/sound';
// import UiTags from "@/components/Tags";
import GoodsList from '@/components/Tags/goods-list.vue';
import Treasure from '@/components/Tags/treasure.vue';
//waterfall和exhibits公用
import Waterfall from '@/components/Tags/waterfall.vue';

import Information from '@/components/Information';
import Control from '@/components/Controls/Control.Mobile.vue';
import LoadingLogo from '@/components/shared/Loading.vue';
import OpenVideo from '@/components/openVideo/';
import Guide from '@/components/shared/Guide.vue';
import { Dialog } from '@/global_components/';

import { createApp } from '@/app';
import { ref, onMounted, computed, nextTick, watch } from 'vue';
import { useStore } from 'vuex';
import browser from '@/utils/browser';
import { useApp, getApp } from '@/app';
import common from '@/utils/common';
import { useI18n, getLocale } from '@/i18n';
import { Cache } from '@/utils/index';
import wxShare from '@/utils/wxshare';

import * as apis from '@/apis/index.js';

const { t } = useI18n({ useScope: 'global' });

const store = useStore();

let jumpNewScene = (sceneFirstView) => {
  let url = window.location.href;

  if (!browser.hasURLParam('pose')) {
    url += `&${sceneFirstView.sceneview}`;
  } else {
    url = browser.replaceQueryString(url, 'pose', sceneFirstView.sceneview.replace('pose=', ''));
  }

  url = browser.replaceQueryString(url, 'm', sceneFirstView.num);
  return url;
};

let visibilitychangeFn = () => {
  if (browser.isTabHidden()) {
    apis.burying_point({ type: 1 });
  }
};

let hashchangefn = () => {
  if (window.location.hash.indexOf('#showpage') >= 0) {
    window.history.go(-1);
  }
};

const musicPlayer = useMusicPlayer();

let app = null;

let tagid = browser.getURLParam('tagid');

const role = computed(() => store.getters['rtc/role']);

const closetagtype = () => {
  store.commit('tag/setTagClickType', {
    type: '',
    data: {},
  });

  if (isshoppingguide.value) {
    if (role.value == 'leader') {
      socket.value &&
        socket.value.emit('action', {
          type: 'tagclose',
        });
    }
  }
};
const socket = computed(() => store.getters['rtc/socket']);

const tags = computed(() => {
  return store.getters['tag/tags'] || [];
});

const isshoppingguide = computed(() => store.getters['shoppingguide']);

const player = computed(() => store.getters['player']);
const flying = computed(() => store.getters['flying']);
const metadata = computed(() => store.getters['scene/metadata']);
const controls = computed(() => {
  return metadata.value.controls;
});
const mode = computed(() => store.getters['mode']);
const showNavigations = computed(() => store.getters['showNavigations']);
const scene$ = ref(null);
const hadVideo = ref(true);

let VIDEOSCENELIST = [
  'KJ-eur-7bRK91138f',
  'KJ-eur-g4hE95af2b',
  'KJ-eur-g9MJ95515d',
  'KJ-eur-LHyX95b547',
]

if (!Cache.get('HIDENVIDEOEXPIRES')) {
  if (VIDEOSCENELIST.includes(browser.getURLParam('m')) && browser.getURLParam('pose') == 'pano:188,qua:0.0013,-0.6099,0.001,0.7925') {
    Cache.set('HIDENVIDEOEXPIRES', 'yes', 60 * 8 * 60);
    hadVideo.value = false;
  } else {
    hadVideo.value = true;
  }
}

if (browser.getURLParam('role')) {
  hadVideo.value = true;
}

const show = ref(false);
const dataLoaded = ref(false);
const refMiniMap = ref(null);
const isCollapse = ref(false);
const background = ref(null);
const resize = () => {
  if (this.$refs.background && (this.mode == 'floorplan' || this.mode == 'dollhouse')) {
    this.$nextTick(() => {
      let $active = $(this.$el).find('.tabs .active');
      background.value.style.width = $active[0].getBoundingClientRect().width + 'px';
      background.value.style.left = $active.position().left + 'px';
    });
  }
};

watch(
  () => isshoppingguide.value,
  (val, old) => {
    let $minmap = document.querySelector('[xui_min_map]');

    if ($minmap) {
      setTimeout(async () => {
        if (browser.getURLParam('role') == 'customer') {
          await nextTick();
          if (isshoppingguide.value) {
            $minmap.classList.add('gudieDisabled');
          } else {
            $minmap.classList.remove('gudieDisabled');
            // wxShare({
            //   title: `Duty Zero by cdf~`,
            //   desc: "Duty Zero by cdf~",
            //   link: window.location.href.split("#")[0],
            //   imgUrl: "https://glp-vr.cdfmembers.com/cdf/file/91dd5305525f463286f03a31abd1c154.jpg",
            // });
          }
        }
      });
    }
  },
  {
    deep: true,
  }
);

watch(
  () => player.value.showMap,
  (val, old) => {
    if (!isCollapse.value) {
      let $minmap = document.querySelector('[xui_min_map]');
      if ($minmap) {
        if (val) {
          $minmap.classList.remove('collapse');
        } else {
          $minmap.classList.add('collapse');
        }
      }
    }
  },
  {
    deep: true,
  }
);
watch(
  () => player.value.showWidgets,
  (val, old) => {
    let $minmap = document.querySelector('[xui_min_map]');
    if ($minmap) {
      if (val) {
        $minmap.classList.remove('collapse');
      } else {
        $minmap.classList.add('collapse');
      }
    }
  },
  {
    deep: true,
  }
);

watch(
  () => mode.value,
  (val, old) => {
    console.log(val);
    let timer = setTimeout(() => {
      clearTimeout(timer);
      if (val == 'floorplan') {
        if (floorplan_ref.value && floorplan_ref.value) {
          background.value.style.width = floorplan_ref.value.getBoundingClientRect().width + 'px';
          background.value.style.left = floorplan_ref.value.offsetLeft + 'px';
        }
      } else if (val == 'dollhouse') {
        if (dollhouse_ref.value && dollhouse_ref.value) {
          background.value.style.width = dollhouse_ref.value.getBoundingClientRect().width + 'px';
          background.value.style.left = dollhouse_ref.value.offsetLeft + 'px';
        }
      }
    }, 0);
  },
  {
    deep: true,
  }
);
const floorplan_ref = ref(null);
const dollhouse_ref = ref(null);
const changeMode = (name, e) => {
  if (e) {
    if (!flying.value) {
      store.commit('setMode', name);
    }
  } else {
    store.commit('setMode', name);
  }
};
const toggleMap = () => {
  isCollapse.value = !isCollapse.value;
  let $minmap = document.querySelector('[xui_min_map]');
  if ($minmap) {
    if (!isCollapse.value) {
      $minmap.classList.remove('collapse');
    } else {
      $minmap.classList.add('collapse');
    }
  }
};

const onClickTagInfo = (el) => {
  el.stopPropagation();
  let item = tags.value.find((item) => item.sid == el.target.dataset.id);
  if (item.type == 'commodity') {
    guideclicktag(item);
    store.commit('tag/setTagClickType', {
      type: 'goodlist',
      data: item,
    });
  } else if (item.type == 'link_scene') {
    guideclicktag(item);
    let sceneFirstView = item.hotContent.sceneFirstView;
    window.location.href = jumpNewScene(sceneFirstView);
  }
};

const guideclicktag = (tag) => {
  if (isshoppingguide.value) {
    if (role.value == 'leader') {
      socket.value &&
        socket.value.emit('action', {
          type: 'tagclick',
          data: {
            sid: tag.sid,
          },
        });
    }
  }
  return;
};

const getCurrentHotJson = ()=>{
  let lang = browser.getURLParam('lang')
  let jsonname = lang == 'zh_CN'?'hot_eshop_cn':(lang == 'zh_HK'?'hot_eshop_zh':'hot_eshop_en')
  return `https://glp-vr.cdfmembers.com/cdf/hot/${browser.getURLParam('m')}/${jsonname}.json?rnd=${Math.random()}`
}

onMounted(async () => {
  apis.burying_point({ type: 0 });

  app = createApp({
    num: browser.getURLParam('m'),
    dom: scene$.value,
    mobile: true,
    isLoadTags: false,
    sceneKind: 'tiles',
    lang: getLocale(),
    scene: {
      markerOpacity: 1,
      markerURL: 'https://eurs3.4dkankan.com/cdf/file/43aa29799bfd472298a47cc6370b10cc.png',
      pathEndColor: '#FF4641',
    },
  });
  app.use('MinMap', { theme: { camera_fillStyle: '#ED5D18' } });
  app.use('Tag');
  app
    .use('TagView', {
      render(data) {
        if (data.type == 'waterfall' || data.type == 'exhibits') {
          return `<span class="tag-icon waterfall animate" style="background-image:url({{icon}})"></span>`;
        } else if (data.type == 'coupon') {
          return `<span class="tag-icon coupon animate" style="background-image:url({{icon}})"></span>`;
        } else if (data.type == 'applet_link') {
          try {
            data.hotContent = JSON.parse(data.hotContent);
          } catch (error) {}
          return `<span class="tag-icon applet_link animate" style="background-image:url(${data.hotContent.liveIcon.src ? common.changeUrl(data.hotContent.liveIcon.src) : '{{icon}}'})"></span>`;
        } else if (data.type == 'link_scene') {
          return `<span class="tag-icon animate" style="background-image:url({{icon}})"></span>
                      <div class="tag-body">
                        <div data-id="${data.sid}" class="tag-commodity tag-link_scene">
                          <p class="tag-title">${t('common.goNext')}</p>
                        </div>
                      </div>
                  `;
        } else if (data.type == 'commodity') {
          let arr = data.products.map((item) => item.price);
          let priceMin = isFinite(Math.min.apply(null, arr)) ? Math.min.apply(null, arr) : 0;
          let priceMax = isFinite(Math.max.apply(null, arr)) ? Math.max.apply(null, arr) : 0;
          let price = priceMin == priceMax ? priceMax : `${priceMin}-${priceMax}`;
          let range = price==0?'':`${data.products[0] ? data.products[0].symbol : 'MOP$'} ${price} |`;
          return `<span class="tag-icon animate" style="background-image:url({{icon}})"></span>
                      <div class="tag-body">
                        <div data-id="${data.sid}" class="tag-commodity">
                          <div  style="background-image:url(${data.products[0] ? data.products[0].pic : ''})" class='tag-avatar'>
                          </div>
                          <p class="tag-title">${data.title}</p>
                          <p class="tag-info"> ${range} ${t('common.view')} ></p>
                        </div>
                      </div>
                  `;
        } else {
          return `<span class="tag-icon animate" style="background-image:url({{icon}})"></span>`;
        }
      },
    })
    .then((view) => {
      view.on('click', (e) => {
        var tag = e.data;
        // 聚焦當前點擊的熱點
        view.focus(tag.sid).then(() => {
          if (tag.type == 'coupon') {
            try {
              if (isshoppingguide.value) {
                return;
              }
              document.querySelector(`[data-tag-id="${tag.sid}"] .tag-icon`).style.display = 'none';
              document.querySelector(`[data-tag-id="${tag.sid}"]`).style.pointerEvents = 'none';

              let hotcontent = typeof tag.hotContent == 'string' ? JSON.parse(tag.hotContent) : tag.hotContent;
              browser.openLink(
                '/subPackage/pages/activity/activity?pageId=' + hotcontent.couponLink,
                `${metadata.value?.cdfProductSource?.cdfHost}/shop/${metadata.value?.cdfProductSource?.cdfMchId}/showactivity?pageId=${hotcontent.couponLink}`,
                `/pages/showactivity/showactivity?pageId=${hotcontent.couponLink}`
              );

              apis.burying_point({ type: 2 });
            } catch (error) {}
          } else if (tag.type == 'waterfall' || tag.type == 'exhibits') {
            store.commit('tag/setTagClickType', {
              type: 'waterfall',
              data: tag,
            });
            guideclicktag(tag);
          } else if (tag.type == 'applet_link') {
            try {
              if (isshoppingguide.value) {
                return;
              }
              let hotcontent = typeof tag.hotContent == 'string' ? JSON.parse(tag.hotContent) : tag.hotContent;
              browser.openLink(
                '/subPackage/pages/home/home?pageType=2&pageId=' + hotcontent.liveLink,
                `${metadata.value?.cdfProductSource?.cdfHost}/shop/${metadata.value?.cdfProductSource?.cdfMchId}/showactivity?pageId=${hotcontent.liveLink}`,
                `/pages/showactivity/showactivity?pageId=${hotcontent.liveLink}`
              );
            } catch (error) {}
          } else if (tag.type == 'link_scene') {
            guideclicktag(tag);
            let sceneFirstView = tag.hotContent.sceneFirstView;
            window.location.href = jumpNewScene(sceneFirstView);
          }
        });
      });

      view.on('focus', (e) => {
        document.querySelectorAll('[xui_tags_view] >div').forEach((el) => {
          if (el.getAttribute('data-tag-type') == 'link_scene' || el.getAttribute('data-tag-type') == 'commodity') {
            el.querySelector('.tag-body').classList.remove('show');
            el.style.zIndex = 'auto';
          }
        });
        if (e.data.type == 'commodity' || e.data.type == 'link_scene') {
          e.target.style.zIndex = '999';
          e.target.querySelector('.tag-body').classList.add('show');
          e.target.querySelector('.tag-commodity').removeEventListener('click', onClickTagInfo);
          e.target.querySelector('.tag-commodity').addEventListener('click', onClickTagInfo);

          if (tagid) {
            document.querySelector(`[data-id="${tagid}"]`) && document.querySelector(`[data-id="${tagid}"]`).click();
            tagid = null;
          }
        }
      });

      view.on('rendered', (e) => {
        tagid && view.focus(tagid);
      }); //dom渲染完成
    });

  app.use('TourPlayer');

  app.TourManager.on('loaded', (list) => {
    store.commit('tour/loaded', list);
    // app.TourManager.load(tours.value);
  });
  // if (!hadVideo.value) {
  //   app.Scene.lock();
  // }


  app.Scene.on('ready', () => {
    show.value = true;
    store.commit('SetPlayerOptions', {
      lang: getLocale(),
    });
    wxShare({
      title: `${t('common.title')}~`,
      desc: `${t('common.title')}~`,
      link: window.location.href,
      imgUrl: 'https://glp-vr.cdfmembers.com/cdf/file/91dd5305525f463286f03a31abd1c154.jpg',
    });
  });
  app.Scene.on('error', (data) => {
    switch (data.code) {
      case 5033:
        Dialog.alert(t('errorcode.5033'));
        break;
      case 5034:
        Dialog.alert(t('errorcode.5034'));
        break;
      case 5009:
        Dialog.alert(t('errorcode.5009'));
        break;
      case 5005:
        Dialog.alert(t('errorcode.5005'));
        break;
    }
  });
  app.Scene.on('loaded', (pano) => {
    refMiniMap.value = '[xui_min_map]';
    store.commit('setFloorId', pano.floorIndex);
    store.commit('rtc/setShowdaogou', true);

    if (browser.getURLParam('roomId')) {
      store.commit('showShoppingguide', true);
    } else {
      if (!localStorage.getItem('user_guide')) {
        Dialog.confirm({
          showCloseIcon: false,
          okText: t('common.know'),
          content: "<span style='font-size: 16px; line-height: 1.5;'>" + t('common.notice') + '<span/>',
          title: `${t('common.tips')}：`,
          single: true,
          func: (state) => {
            if (state == 'ok') {
              localStorage.setItem('user_guide', Date.now());
            }
          },
        });
      }
    }

    // app.resource.tags(`https://glp-vr.cdfmembers.com/cdf/hot/${browser.getURLParam('m')}/hot.json?rnd=${Math.random()}`);
    app.resource.tags(getCurrentHotJson());
    useMusicPlayer();
  });
  app.Scene.on('panorama.videorenderer.resumerender', () => {
    musicPlayer.pause(true);
  });

  app.Scene.on('panorama.videorenderer.suspendrender', async () => {
    let player = await getApp().TourManager.player;
    if (!player.isPlaying) {
      musicPlayer.resume();
    }
  });
  app.store.on('metadata', (metadata) => {
    store.commit('scene/load', metadata);
    console.log(metadata,'metadatametadatametadata');
    if (!metadata.controls.showMap) {
      app.MinMap.hide(true);
    }
    dataLoaded.value = true;
  });
  app.store.on('tags', (tags) => {
    store.commit('tag/load', tags);
  });
  app.Camera.on('mode.beforeChange', ({ fromMode, toMode, floorIndex }) => {
    if (fromMode) {
      store.commit('setFlying', true);
    }
  });
  app.Camera.on('mode.afterChange', ({ toMode, floorIndex }) => {
    store.commit('setFlying', false);
  });
  app.Camera.on('flying.started', (pano) => {
    store.commit('setFlying', true);
  });
  app.Camera.on('flying.ended', ({ targetPano }) => {
    store.commit('setFlying', false);
    store.commit('setPanoId', targetPano.id);
    if (app.Scene.isCurrentPanoHasVideo) {
      apis.burying_point({ type: 5 });
    }
  });

  app.Camera.on('pano.chosen', (pano) => {
    apis.burying_point({ type: 4 });
  });
  // app.store.on('tour', async (tour) => {
  //   app.TourManager.load(tour);
  //   store.commit('tour/setData', {
  //     tours: JSON.parse(
  //       JSON.stringify(app.TourManager.tours, (key, val) => {
  //         if (key === 'audio') {
  //           return null;
  //         } else {
  //           return val;
  //         }
  //       })
  //     ),
  //   });
  //   store.commit('tour/setBackUp', {
  //     tours: JSON.parse(
  //       JSON.stringify(app.TourManager.tours, (key, val) => {
  //         if (key === 'audio') {
  //           return null;
  //         } else {
  //           return val;
  //         }
  //       })
  //     ),
  //   });
  // });
  app.store.on('floorcad', (floor) => store.commit('scene/loadFloorData', floor));

  app.render();
  document.removeEventListener('visibilitychange', visibilitychangeFn);
  document.addEventListener('visibilitychange', visibilitychangeFn);

  if (browser.detectWeixin()) {
    //ios的ua中无miniProgram，但都有MicroMessenger（表示是微信浏览器）
    wx.miniProgram.getEnv((res) => {
      if (res.miniprogram) {
        window.removeEventListener('hashchange', hashchangefn);
        window.addEventListener('hashchange', hashchangefn);
      }
    });
  }
});
</script>
<style lang="scss">
.tab-layer {
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
  position: fixed;
  left: 50%;
  transform: translateX(-50%);
  top: 2.3rem;
  pointer-events: none;
}
.tabs {
  pointer-events: auto;
  position: relative;
  display: flex;
  background: #222222;
  border-radius: 6px;
  padding: 2px;
  justify-content: center;
  align-items: center;
  border: 1px solid rgba(255, 255, 255, 0.1);
  box-shadow: inset 0px 0px 6px 0px rgba(0, 0, 0, 0.5);
  .background {
    position: absolute;
    left: 2px;
    top: 2px;
    bottom: 2px;
    width: 50%;
    border-radius: 4px;
    background: #444444;
    box-shadow: 2px 0px 4px 0px rgba(0, 0, 0, 0.3);
    z-index: 0;
    transition: left 0.3s;
  }
  span {
    flex: 1;
    color: #fff;
    opacity: 0.5;
    border-radius: 6px;
    height: 0.94737rem;
    font-size: 0.36842rem;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 10px;
    padding-right: 10px;
    white-space: nowrap;
    z-index: 1;
    i {
      font-size: 0.47368rem;
      margin-right: 4px;
      pointer-events: none;
    }
  }

  span.active {
    opacity: 1;
  }
}

[xui_tags_view] {
  .tag-body {
    /* display: none; */
    position: absolute;
    left: 50%;
    bottom: 50px;
    transform: translateX(-50%) scale(0);
    transform-origin: bottom;
    transition: all 0.3s cubic-bezier(0.35, 0.32, 0.65, 0.63);
    // pointer-events: none;
    .tag-commodity,
    .tag-link_scene {
      min-width: 230px;
      height: 76px;
      background: rgba(255, 255, 255, 0.8);
      box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.16);
      border-radius: 2px;
      position: relative;
      margin-bottom: 30px;
      &::before {
        content: '';
        display: inline-block;
        left: 50%;
        transform: translateX(-50%);
        width: 2px;
        height: 28px;
        bottom: -30px;
        background: linear-gradient(145deg, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0));
        position: absolute;
      }
      .tag-avatar {
        position: absolute;
        z-index: 99;
        width: 80px;
        height: 80px;
        background: #ffffff;
        box-shadow: 0px 3px 6px 0px rgb(0 0 0 / 16%);
        border-radius: 2px;
        top: -14px;
        left: -12px;
        background-size: cover;
        pointer-events: none;
      }
      > p {
        color: #131d34;
        font-size: 16px;
        pointer-events: none;
      }
      .tag-title {
        padding: 10px 10px 10px 76px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        width: 240px;
      }
      .tag-info {
        padding: 0 20px 0 76px;
        font-size: 12px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
      }
    }
    &.show {
      transform: translateX(-50%) scale(1);
    }

    .tag-link_scene {
      height: auto;
      min-width: unset;
      .tag-title {
        padding: 10px;
        width: auto;
        text-align: center;
      }
    }
  }

  .coupon {
    width: 84px !important;
    height: 84px !important;
    &::after {
      content: '發現好禮';
      width: 100%;
      color: #ed5d18;
      position: absolute;
      bottom: -24px;
      text-align: center;
      font-size: 14px;
    }
  }

  .waterfall {
    width: 90px !important;
    height: 90px !important;
  }

  .applet_link {
    width: 64px !important;
    height: 64px !important;
    border-radius: 50%;
    background-color: #fff;
    border: 1px solid #ed5d18;
    position: relative;
    overflow: hidden;
    &::after {
      content: '直播中';
      width: 100%;
      height: 20px;
      background: #ed5d18;
      position: absolute;
      bottom: 0;
      text-align: center;
      line-height: 1.2;
      font-size: 12px;
      border-radius: 26%;
    }
  }
}

.gudieDisabled {
  pointer-events: none !important;
  * {
    pointer-events: none !important;
  }
}

@media (orientation: landscape) {
  .tab-layer {
    top: 1.2rem;
    .tabs {
      height: 0.7rem;
      > span {
        height: 0.7rem;
        font-size: 0.25rem;
      }
    }
  }
}
</style>
